import { NgModule } from '@angular/core';
import { BrowserModule, HammerModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AppComponent } from './app.component';
import { IgxDataChartCoreModule, IgxDataChartCategoryModule, IgxDataChartCategoryCoreModule, IgxLegendModule,
         IgxCalloutLayerModule, IgxDataChartStackedModule, IgxDataChartAnnotationModule, IgxDataChartInteractivityModule }
  from 'igniteui-angular-charts';
import { IgxTabsModule, IgxGridModule, } from 'igniteui-angular';
import { ChartPageComponent } from './chart-page/chart-page.component';

@NgModule({
  declarations: [
    AppComponent,
    ChartPageComponent
  ],
  imports: [
    BrowserAnimationsModule,
    BrowserModule,
    IgxDataChartCoreModule,
    IgxDataChartCategoryModule,
    IgxDataChartCategoryCoreModule,
    IgxDataChartInteractivityModule,
    IgxLegendModule,
    IgxCalloutLayerModule,
    IgxDataChartAnnotationModule,
    IgxDataChartStackedModule,
    IgxGridModule,
    IgxTabsModule,
    HammerModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
