export const COLUMNS = [
    {
        "field": "Scenario",
        "dataType": "string",
        "pinned": true,
        "width": "250"
    },
    {
        "field": "Design",
        "dataType": "string",
        "pinned": true,
        "width": "110"
    },
    {
        "field": "Family",
        "dataType": "string",
        "pinned": true,
        "width": "80"
    },
    {
        "field": "Facility",
        "dataType": "string",
        "pinned": true,
        "width": "80"
    },
    {
        "field": "Process",
        "dataType": "string",
        "pinned": true,
        "width": "75"
    },
    {
        "field": "Total",
        "type": "number",
        "pinned": true,
        "width": "90"
    },
    {
        "field": "2022-Jan",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Feb",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Mar",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Apr",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-May",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Jun",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Jul",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Aug",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Sep",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Oct",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Nov",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2022-Dec",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-Jan",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-Feb",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-Mar",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-Apr",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-May",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    },
    {
        "field": "2023-Jun",
        "dataType": "number",
        "pinned": false,
        "width": "80"
    }
]

export const HORIZON = [
    "2022-Jan",
    "2022-Feb",
    "2022-Mar",
    "2022-Apr",
    "2022-May",
    "2022-Jun",
    "2022-Jul",
    "2022-Aug",
    "2022-Sep",
    "2022-Oct",
    "2022-Nov",
    "2022-Dec",
    "2023-Jan",
    "2023-Feb",
    "2023-Mar",
    "2023-Apr",
    "2023-May",
    "2023-Jun"
]

export const SALES = [
    {
        "Design": "AT-AT (Classic)",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1A (raft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 48700,
        "2022-Jan": 2500,
        "2022-Feb": 1600,
        "2022-Mar": 5600,
        "2022-Apr": 5600,
        "2022-May": 5600,
        "2022-Jun": 7000,
        "2022-Jul": 7200,
        "2022-Aug": 7000,
        "2022-Sep": 6600
    },
    {
        "Design": "AT-AT (Classic)",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1A (raft)",
        "Scenario": "PLAN_2021_51",
        "Total": 48400,
        "2022-Jan": 2200,
        "2022-Feb": 1600,
        "2022-Mar": 5600,
        "2022-Apr": 5600,
        "2022-May": 5600,
        "2022-Jun": 7000,
        "2022-Jul": 7200,
        "2022-Aug": 7000,
        "2022-Sep": 6600
    },
    {
        "Design": "AT-AT (1st Order)",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1C (peft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 212604,
        "2022-Jan": 10690,
        "2022-Feb": 10308,
        "2022-Mar": 15316,
        "2022-Apr": 15548,
        "2022-May": 18052,
        "2022-Jun": 25500,
        "2022-Jul": 20400,
        "2022-Aug": 20860,
        "2022-Sep": 14810,
        "2022-Oct": 11910,
        "2022-Nov": 20520,
        "2022-Dec": 28690,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "AT-AT (1st Order)",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1C (peft)",
        "Scenario": "PLAN_2021_51",
        "Total": 392454,
        "2022-Jan": 10690,
        "2022-Feb": 10308,
        "2022-Mar": 15316,
        "2022-Apr": 15548,
        "2022-May": 18052,
        "2022-Jun": 25500,
        "2022-Jul": 20400,
        "2022-Aug": 20860,
        "2022-Sep": 14810,
        "2022-Oct": 11910,
        "2022-Nov": 20520,
        "2022-Dec": 30700,
        "2023-Jan": 29540,
        "2023-Feb": 27200,
        "2023-Mar": 34000,
        "2023-Apr": 26800,
        "2023-May": 26800,
        "2023-Jun": 33500
    },
    {
        "Design": "AT-ST",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1C (peft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 47500,
        "2022-Sep": 13000,
        "2022-Oct": 15400,
        "2022-Nov": 10350,
        "2022-Dec": 8750,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "AT-ST",
        "Family": "Star Wars",
        "Facility": "US East",
        "Process": "1C (peft)",
        "Scenario": "PLAN_2021_51",
        "Total": 85500,
        "2022-Sep": 13000,
        "2022-Oct": 15400,
        "2022-Nov": 10600,
        "2022-Dec": 9000,
        "2023-Jan": 4500,
        "2023-Feb": 6000,
        "2023-Mar": 7500,
        "2023-Apr": 6000,
        "2023-May": 6000,
        "2023-Jun": 7500
    },
    {
        "Design": "AT-AT (Classic)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1A (raft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 146506,
        "2022-Jan": 24839,
        "2022-Feb": 17853,
        "2022-Mar": 25524,
        "2022-Apr": 19700,
        "2022-May": 18684,
        "2022-Jun": 23216,
        "2022-Jul": 13110,
        "2022-Aug": 3580
    },
    {
        "Design": "AT-AT (Classic)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1A (raft)",
        "Scenario": "PLAN_2021_51",
        "Total": 146506,
        "2022-Jan": 24839,
        "2022-Feb": 17853,
        "2022-Mar": 25524,
        "2022-Apr": 19700,
        "2022-May": 18684,
        "2022-Jun": 23216,
        "2022-Jul": 13110,
        "2022-Aug": 3580
    },
    {
        "Design": "X-Wing (Classic)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1B (luft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 61350,
        "2022-Jan": 11600,
        "2022-Feb": 8800,
        "2022-Mar": 10400,
        "2022-Apr": 6400,
        "2022-May": 6400,
        "2022-Jun": 8000,
        "2022-Jul": 3000,
        "2022-Aug": 3000,
        "2022-Sep": 3750
    },
    {
        "Design": "X-Wing (Classic)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1B (luft)",
        "Scenario": "PLAN_2021_51",
        "Total": 61350,
        "2022-Jan": 11000,
        "2022-Feb": 9000,
        "2022-Mar": 10800,
        "2022-Apr": 6400,
        "2022-May": 6400,
        "2022-Jun": 8000,
        "2022-Jul": 3000,
        "2022-Aug": 3000,
        "2022-Sep": 3750
    },
    {
        "Design": "AT-AT (1st Order)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1C (peft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 146506,
        "2022-Jan": 24839,
        "2022-Feb": 17853,
        "2022-Mar": 25524,
        "2022-Apr": 19700,
        "2022-May": 18684,
        "2022-Jun": 23216,
        "2022-Jul": 13110,
        "2022-Aug": 3580
    },
    {
        "Design": "AT-AT (1st Order)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1C (peft)",
        "Scenario": "PLAN_2021_51",
        "Total": 146506,
        "2022-Jan": 24839,
        "2022-Feb": 17853,
        "2022-Mar": 25524,
        "2022-Apr": 19700,
        "2022-May": 18684,
        "2022-Jun": 23216,
        "2022-Jul": 13110,
        "2022-Aug": 3580
    },
    {
        "Design": "AT-ST",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1C (peft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 219061,
        "2022-Jan": 4171,
        "2022-Feb": 6439,
        "2022-Mar": 8760,
        "2022-Apr": 8100,
        "2022-May": 8800,
        "2022-Jun": 10000,
        "2022-Jul": 19700,
        "2022-Aug": 30300,
        "2022-Sep": 40625,
        "2022-Oct": 27500,
        "2022-Nov": 24587,
        "2022-Dec": 30079,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "AT-ST",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1C (peft)",
        "Scenario": "PLAN_2021_51",
        "Total": 378377,
        "2022-Jan": 4171,
        "2022-Feb": 6439,
        "2022-Mar": 8760,
        "2022-Apr": 7500,
        "2022-May": 8000,
        "2022-Jun": 10000,
        "2022-Jul": 19700,
        "2022-Aug": 30300,
        "2022-Sep": 40625,
        "2022-Oct": 27500,
        "2022-Nov": 24587,
        "2022-Dec": 30315,
        "2023-Jan": 20830,
        "2023-Feb": 23000,
        "2023-Mar": 28750,
        "2023-Apr": 26700,
        "2023-May": 27200,
        "2023-Jun": 34000
    },
    {
        "Design": "Snow Speeder",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 107,
        "2022-Dec": 107,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "Snow Speeder",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "PLAN_2021_51",
        "Total": 52058,
        "2022-Dec": 58,
        "2023-Jan": 8000,
        "2023-Feb": 8000,
        "2023-Mar": 10000,
        "2023-Apr": 8000,
        "2023-May": 8000,
        "2023-Jun": 10000
    },
    {
        "Design": "B-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 5698,
        "2022-Jan": 1100,
        "2022-Feb": 880,
        "2022-Mar": 1100,
        "2022-Apr": 863,
        "2022-May": 780,
        "2022-Jun": 975
    },
    {
        "Design": "B-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "PLAN_2021_51",
        "Total": 152,
        "2022-Jan": 10,
        "2022-Feb": 142,
        "2022-Mar": 0,
        "2022-Apr": 0,
        "2022-May": 0,
        "2022-Jun": 0
    },
    {
        "Design": "A-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 2358,
        "2022-Jan": 185,
        "2022-Feb": 214,
        "2022-Mar": 216,
        "2022-Apr": 176,
        "2022-May": 256,
        "2022-Jun": 200,
        "2022-Jul": 160,
        "2022-Aug": 160,
        "2022-Sep": 200,
        "2022-Oct": 160,
        "2022-Nov": 160,
        "2022-Dec": 271,
        "2023-Jan": 0,
        "2023-Feb": 0
    },
    {
        "Design": "A-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "PLAN_2021_51",
        "Total": 2583,
        "2022-Jan": 185,
        "2022-Feb": 214,
        "2022-Mar": 216,
        "2022-Apr": 176,
        "2022-May": 256,
        "2022-Jun": 200,
        "2022-Jul": 160,
        "2022-Aug": 160,
        "2022-Sep": 200,
        "2022-Oct": 160,
        "2022-Nov": 160,
        "2022-Dec": 209,
        "2023-Jan": 164,
        "2023-Feb": 123
    },
    {
        "Design": "Y-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 5726,
        "2022-Jan": 280,
        "2022-Feb": 220,
        "2022-Mar": 342,
        "2022-Apr": 424,
        "2022-May": 616,
        "2022-Jun": 635,
        "2022-Jul": 555,
        "2022-Aug": 476,
        "2022-Sep": 595,
        "2022-Oct": 476,
        "2022-Nov": 476,
        "2022-Dec": 631,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "Y-Wing",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1D (toft)",
        "Scenario": "PLAN_2021_51",
        "Total": 8438,
        "2022-Jan": 280,
        "2022-Feb": 220,
        "2022-Mar": 342,
        "2022-Apr": 424,
        "2022-May": 616,
        "2022-Jun": 635,
        "2022-Jul": 555,
        "2022-Aug": 476,
        "2022-Sep": 595,
        "2022-Oct": 476,
        "2022-Nov": 476,
        "2022-Dec": 615,
        "2023-Jan": 496,
        "2023-Feb": 496,
        "2023-Mar": 620,
        "2023-Apr": 496,
        "2023-May": 496,
        "2023-Jun": 124
    },
    {
        "Design": "Speeder Bike",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1E (sift)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 739,
        "2022-Jul": 50,
        "2022-Aug": 100,
        "2022-Sep": 125,
        "2022-Oct": 136,
        "2022-Nov": 136,
        "2022-Dec": 192,
        "2023-Jan": 0,
        "2023-Feb": 0,
        "2023-Mar": 0,
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "Speeder Bike",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1E (sift)",
        "Scenario": "PLAN_2021_51",
        "Total": 833,
        "2022-Jul": 0,
        "2022-Aug": 0,
        "2022-Sep": 0,
        "2022-Oct": 24,
        "2022-Nov": 24,
        "2022-Dec": 46,
        "2023-Jan": 108,
        "2023-Feb": 92,
        "2023-Mar": 123,
        "2023-Apr": 128,
        "2023-May": 128,
        "2023-Jun": 160
    },
    {
        "Design": "X-Wing (Poe)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1E (sift)",
        "Scenario": "BETA_2021_51_CS",
        "2023-Apr": 0,
        "2023-May": 0,
        "2023-Jun": 0
    },
    {
        "Design": "X-Wing (Poe)",
        "Family": "Star Wars",
        "Facility": "US West",
        "Process": "1E (sift)",
        "Scenario": "PLAN_2021_51",
        "Total": 416,
        "2023-Apr": 128,
        "2023-May": 128,
        "2023-Jun": 160
    },
    {
        "Design": "Star Destroyer",
        "Family": "Optane",
        "Facility": "US Central",
        "Process": "1D (taft)",
        "Scenario": "BETA_2021_51_CS",
        "Total": 11157,
        "2022-Jan": 2225,
        "2022-Feb": 1780,
        "2022-Mar": 2225,
        "2022-Apr": 1723,
        "2022-May": 1424,
        "2022-Jun": 1780
    },
    {
        "Design": "Star Destroyer",
        "Family": "Optane",
        "Facility": "US Central",
        "Process": "1D (taft)",
        "Scenario": "PLAN_2021_51",
        "Total": 11705,
        "2022-Jan": 2300,
        "2022-Feb": 1840,
        "2022-Mar": 2300,
        "2022-Apr": 1818,
        "2022-May": 1532,
        "2022-Jun": 1915
    }
]